use anyhow::Context;

test_cases! {
    component::ipv4_address: {
        case_001: "0.0.0.0",
        case_002: "10.0.0.0",
        case_003: "10.255.255.255",
        case_004: "127.255.255.255",
        case_005: "128.0.0.0",
        case_006: "169.254.0.0",
        case_007: "172.16.0.0",
        case_008: "172.16.254.1",
        case_009: "172.31.255.255",
        case_010: "191.255.255.255",
        case_011: "192.0.0.0",
        case_012: "192.0.2.0",
        case_013: "192.0.2.1",
        case_014: "192.0.2.255",
        case_015: "192.168.0.0",
        case_016: "192.168.0.255",
        case_017: "192.168.1.15",
        case_018: "223.255.255.255",
        case_019: "224.0.0.0",
        case_020: "239.255.255.255",
        case_021: "255.255.255.0",
        case_022: "255.255.255.255"
    }
}
